CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
csl::AirAbsorptionCue Class Reference

Simulates the frequency dependent air absorption using a one pole/zero lowpass filter. More...

`#include <DistanceSimulator.h>`

Inheritance diagram for csl::AirAbsorptionCue:

List of all members.

## Public Member Functions
| AirAbsorptionCue ()
virtual | ~AirAbsorptionCue ()
virtual void | compute (float distance)
| Calculate the filter coefficients.
virtual void | process (Buffer &aBuffer)
| Process each sample in the buffer, applying the filter.

## Protected Attributes
float | mBCoeff
float | mACoeff [2]
float | mPrevOutput
float | mPrevInput

## Detailed Description

Simulates the frequency dependent air absorption using a one pole/zero lowpass filter.

Definition at line 75 of file DistanceSimulator.h.

## Constructor & Destructor Documentation

AirAbsorptionCue::AirAbsorptionCue | ( |  | ) |

Definition at line 77 of file DistanceSimulator.cpp.

References mPrevInput, and mPrevOutput.

AirAbsorptionCue::~AirAbsorptionCue | ( |  | ) |
| virtual

Definition at line 82 of file DistanceSimulator.cpp.

## Member Function Documentation

void AirAbsorptionCue::compute | ( | float | distance | ) |
| virtual

Calculate the filter coefficients.

Implements csl::DistanceCue.

Definition at line 86 of file DistanceSimulator.cpp.

References CSL_PI, csl::CGestalt::frameRate(), mACoeff, and mBCoeff.

void AirAbsorptionCue::process | ( | Buffer & | aBuffer | ) |
| virtual

Process each sample in the buffer, applying the filter.

Implements csl::DistanceCue.

Definition at line 99 of file DistanceSimulator.cpp.

References csl::Buffer::buffer(), mACoeff, mBCoeff, csl::Buffer::mNumFrames, mPrevInput, and mPrevOutput.

## Member Data Documentation

float csl::AirAbsorptionCue::mBCoeff
| protected

Definition at line 84 of file DistanceSimulator.h.

Referenced by compute(), and process().

float csl::AirAbsorptionCue::mACoeff[2]
| protected

Definition at line 85 of file DistanceSimulator.h.

Referenced by compute(), and process().

float csl::AirAbsorptionCue::mPrevOutput
| protected

Definition at line 86 of file DistanceSimulator.h.

Referenced by AirAbsorptionCue(), and process().

float csl::AirAbsorptionCue::mPrevInput
| protected

Definition at line 87 of file DistanceSimulator.h.

Referenced by AirAbsorptionCue(), and process().

The documentation for this class was generated from the following files:

- CSL/Spatializers/DistanceSimulator.h
- CSL/Spatializers/DistanceSimulator.cpp